Skip to navigation

Update account billing plan

View as Markdown
Updates the billing plan information, billing address, and credit card information for the specified account.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Query parameters

preview_billing_planstringOptional

When true, updates the account using a preview billing plan.

Request

This endpoint expects an object: billingPlanInformation

appStoreReceiptobjectOptional
Contains information about an APP store receipt.
billingAddressobjectOptional
Contains information about the address associated with the account.
creditCardInformationobjectOptional
This object contains information about a credit card that is associated with an account.
directDebitProcessorInformationobjectOptional
Contains information about a bank that processes a customer's direct debit payments.
downgradeReasonstringOptional

(Optional) The user’s reason for downgrading their billing plan.

enablePreAuthstringOptional
enableSupportstringOptional

When true, customer support is provided as part of the account plan.

includedSeatsstringOptional

The number of seats (users) included in the plan.

incrementalSeatsstringOptional
Reserved for Docusign.
paymentMethodstringOptional

The payment method used for the billing plan. Valid values are:

  • NotSupported
  • CreditCard
  • PurchaseOrder
  • Premium
  • Freemium
  • FreeTrial
  • AppStore
  • DigitalExternal
  • DirectDebit
paymentProcessorstringOptional
paymentProcessorInformationobjectOptional
planInformationobjectOptional
An object used to identify the features and attributes of the account being created.
processPaymentstringOptional
referralInformationobjectOptional

A complex type that contains the following information for entering referral and discount information. The following items are included in the referral information (all string content): enableSupport, includedSeats, saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, saleDiscountSeatPriceOverride, planStartMonth, referralCode, referrerName, advertisementId, publisherId, shopperId, promoCode, groupMemberId, idType, and industry

Note: saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, and saleDiscountSeatPriceOverride are reserved for Docusign use only.

renewalStatusstringOptional

The renewal status of the account. Possible values are:

  • auto: The account automatically renews.
  • queued_for_close: The account will be closed at the billingPeriodEndDate.
  • queued_for_downgrade: The account will be downgraded at the billingPeriodEndDate`.
saleDiscountAmountstringOptional
Reserved for Docusign.
saleDiscountFixedAmountstringOptional
Reserved for Docusign.
saleDiscountPercentstringOptional
Reserved for Docusign.
saleDiscountPeriodsstringOptional
Reserved for Docusign.
saleDiscountSeatPriceOverridestringOptional
Reserved for Docusign.
taxExemptIdstringOptional

Response

Successful response.
accountPaymentMethodstringOptional

The type of payment method used for the account. Valid values are:

  • credit_card
billingPlanPreviewobjectOptional
Information used to provide a preview of a billing plan.
currencyCodestringOptional

Specifies the ISO 4217 currency code for the account.

includedSeatsstringOptional

The number of seats (users) included in the plan.

paymentCyclestringOptional

The payment cycle associated with the plan. Valid values:

  • Monthly
  • Annually
paymentMethodstringOptional

The payment method used for the billing plan. Valid values are:

  • NotSupported
  • CreditCard
  • PurchaseOrder
  • Premium
  • Freemium
  • FreeTrial
  • AppStore
  • DigitalExternal
  • DirectDebit
planIdstringOptional
Docusign's ID for the account plan.
planNamestringOptional

The name of the billing plan used for the account.

Examples:

  • Personal - Annual
  • Unlimited Envelope Subscription - Annual Billing

Errors

400
Bad Request Error